<?xml version="1.0" encoding="utf-16"?>
<ExtensionPackages Version="1.0.0.0" Compression="none">
  <ExtensionPackage>
    <Name>CrashpadCompositionPackage</Name>
    <Version>$#Engine_version#$</Version>
    <MinDebuggerSupported>10.0.17074.1002</MinDebuggerSupported>
    <Components>
        <BinaryComponent Name="CrashpadComposition" Type="Engine">
            <LoadTriggers>
                <!-- The extension will load on any generic UNIX and manually check the 
                     target to determine whether it is really applicable.  If so, it will
                     inject the right dependencies.  Normally, most of this would be handled
                     by a complete target activator.  Unfortunately, crashpad as a Windows
                     minidump format is handled in the engine (minus the requisite ELF/DWARF
                     components.  This plug-in ensures they are injected appopriately.  NOTE
                     that this has a dependency on ELFBinComposition. -->
                <TriggerSet>
                    <OSTrigger Name="UNIX" />
                </TriggerSet>
                <TriggerSet>
                    <OSTrigger Name="Android" />
                </TriggerSet>
                <!-- The extension will also load on Mac OS X and manually check the 
                     target to determine whether it is really applicable.  If so, it will
                     inject the right dependencies.  Normally, most of this would be handled
                     by a complete target activator.  Unfortunately, crashpad as a Windows
                     minidump format is handled in the engine (minus the requisite MachO/DWARF
                     components.  This plug-in ensures they are injected appopriately.  NOTE
                     that this has a dependency on MachOBinComposition. -->
                <TriggerSet>
                    <OSTrigger Name="Mac OS X" />
                </TriggerSet>
            </LoadTriggers>
            <Files>
                <File Architecture="Any" Module="winext\CrashpadComposition.dll" FilePathKind="RepositoryRelative"/>
            </Files>
        </BinaryComponent>
    </Components>
  </ExtensionPackage>
</ExtensionPackages>

